Name:           velocity-filemanager
Version:        0.1.0
Release:        0.fdr.0.5.beta.rh90
Epoch:          0
Summary:        Filemanager for Gnome2.

Group:          User Interface/Desktops
License:        GPL
URL:            http://velocity.sourceforge.net/
Source0:        http://homepages.ius.edu/kydavis/velocity/velocity-0.1.0beta.tar.bz2       
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgsf-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  gtkhtml2-devel
BuildRequires:  libtool 
BuildRequires:	desktop-file-utils

%description
Velocity is a port of the GFileRunner (gfilerunner.sourceforge.net) file
manager to the wonderful GNOME 2 platform. Velocity is (going to be) a very
fast, powerful, and highly configurable alternative file/desktop manager.




%prep
%setup -q -n velocity-%{version}



%build
%configure --enable-alpha-plugins 
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

rm -rf ${RPM_BUILD_ROOT}%{_prefix}/doc
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/velocity.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/velocity
%{_datadir}/applications/*
%{_datadir}/pixmaps/*



%changelog
* Fri Sep 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.0-0.fdr.0.5.beta
- Added --enable-alpha-plugins for real this time.

* Fri Sep 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.0-0.fdr.0.4.beta
- --enable-experimental-plugins -> --enable-alpha-plugins

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.0-0.fdr.0.3.beta
- Updated to 0.1.0 beta.

* Tue Jul 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1-0.fdr.0.2.beta
- Renamed to avoid namespace conflicts.

* Sat Jul 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1-0.fdr.0.1.beta
- Initial RPM release.
